@import "colors";

.button {
  cursor: pointer;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  padding: 1em 4em;
  color: $white;
  background-color: $primary;
  border-radius: 5px;
  text-decoration: none;
  height: 35px;

  &:disabled {
    pointer-events: none;
    opacity: 0.6;
  }

  &.button {
    &--primary {
      background-color: $primary;
    }

    &--secondary {
      background-color: $secondary;
    }
  }

  &--small {
    min-width: 100px;
    padding: 0.75em 1em;
  }
}
